/**
 * Copyright (c) 2014-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.shell.completer;

import java.util.Collection;

import jline.console.completer.StringsCompleter;

import org.ow2.petals.admin.api.PetalsAdministrationFactory;
import org.ow2.petals.admin.api.exception.ContainerAdministrationException;
import org.ow2.petals.admin.topology.Container;
import org.ow2.petals.admin.topology.Domain;
import org.ow2.petals.admin.topology.Subdomain;

public class ContainerNameCompleter extends StringsCompleter {
    public ContainerNameCompleter(final PetalsAdministrationFactory paf) {
        super();

        assert paf != null;

        final Collection<String> strings = this.getStrings();
        try {
            final Domain currentDomain = paf.newContainerAdministration().getTopology(".*", null);
            for (final Subdomain subdomain : currentDomain.getSubdomains()) {
                for (final Container container : subdomain.getContainers()) {
                    strings.add(container.getContainerName());
                }
            }
        } catch (final ContainerAdministrationException e) {
            // NOP: if an error occurs no container name will be proposed
        }
    }
}
